Bug 7100 - Can't start Winbindd process => crash
Can't start Winbindd process => crash
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.0rc1
Other Linux
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-04 15:31 UTC by Matthieu Patou
Modified: 2010-02-09 10:26 UTC (History)
0 users

See Also:


Attachments
configuration file (1.25 KB, application/octet-stream)
2010-02-04 15:34 UTC, Matthieu Patou
no flags Details
Log of windbindd -d 10 (43.27 KB, application/octet-stream)
2010-02-04 15:36 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2010-02-04 15:31:07 UTC
Starting the process with ./bin/winbindd -d xx
See attached files for more info.
Comment 1 Matthieu Patou 2010-02-04 15:34:54 UTC
Created attachment 5274 [details]
configuration file
Comment 2 Matthieu Patou 2010-02-04 15:36:39 UTC
Created attachment 5275 [details]
Log of windbindd -d 10
Comment 3 Matthieu Patou 2010-02-04 15:38:40 UTC
Note: the log is done with tdb backend for idmap.
Ie. using

idmap uid = 50000-60000
idmap gid = 50000-60000

instead of 

idmap config SAMBA4: default = yes
idmap config SAMBA4: backend = rid
idmap config SAMBA4: range = 10000-20000

Both idmap configuaration produce the crash

Comment 4 Jeremy Allison 2010-02-04 16:50:14 UTC
Can you test this with either RC2, or with the latest code pulled out of the 3-5-stable git tree ? There were some winbindd crash fixes that went in recently and I don't want to track this down if we've already fixed it.

Thanks,

Jeremy.
Comment 5 Matthieu Patou 2010-02-05 03:20:42 UTC
It's most probably fixed in 026b23062eeee23dffeb627800b3cb6f55d89ad6 s3: Fix a winbind segfault in "trusted_domains"
Comment 6 Matthieu Patou 2010-02-09 10:26:05 UTC
Jeremy,

it seems indeed to be fixed in current s3.5git.